﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Data;
using System.Data.SqlClient;
namespace Com.ArHat.DAL
{
    public class SqlHelper
    {
        #region 连接字符串

        private static readonly string strcon = "server=.;database=ArHatPermit;uid=sa;pwd=symjie";

        #endregion

        #region 类变量

        private static SqlConnection con = null;
        private static SqlCommand cmd = null;

        #endregion

        #region 私有方法

        private static void Open()
        {
            con = new SqlConnection(strcon);
            con.Open();
        }
        private static void Close()
        {
            con.Close();
        }
        private static void PreparedCommand(string sql, params SqlParameter[] sqlparameters)
        {
            Open();
            cmd = new SqlCommand(sql, con);
            cmd.Parameters.Clear();
            if (sqlparameters != null && sqlparameters.Length > 0)
            {
                foreach (SqlParameter p in sqlparameters)
                {
                    cmd.Parameters.Add(p);
                }
            }


        }

        #endregion

        #region 公开方法

        public static DataTable ExecuteQuery(string sql, params SqlParameter[] sqlparameters)
        {
            PreparedCommand(sql, sqlparameters);
            DataTable dt = new DataTable();
            SqlDataAdapter adapter = new SqlDataAdapter(cmd);
            adapter.Fill(dt);
            Close();
            return dt;
        }
        public static void ExecuteNonQuery(string sql, params SqlParameter[] sqlparameters)
        {
            PreparedCommand(sql, sqlparameters);
            cmd.ExecuteNonQuery();
            Close();
        }
        public static SqlDataReader ExecuteReader(string sql, params SqlParameter[] sqlparameters)
        {
            PreparedCommand(sql, sqlparameters);
            SqlDataReader reader = cmd.ExecuteReader(CommandBehavior.CloseConnection);
            return reader;
        }

        #endregion

    }
}
