﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Web.Routing;

namespace Com.ArHat.UI
{
    public class RouteConfig
    {
        public static void RegisterRoutes(RouteCollection routes)
        {
            routes.IgnoreRoute("{resource}.axd/{*pathInfo}");

            

            //routes.MapRoute(
            //    name: "PermitRoleAction",
            //    url: "Role/PermitRoleAction/{aid}",
            //    defaults: new { controller = "Role", action = "PermitRoleAction", aid = UrlParameter.Optional }
            //);

            routes.MapRoute(
                name: "PermitRole",
                url: "Role/PermitRole/{rid}",
                defaults: new { controller = "Role", action = "PermitRole", rid = UrlParameter.Optional }
            );

            routes.MapRoute(
                name: "RemoveAction",
                url: "Action/DelAction/{aid}",
                defaults: new { controller = "Action", action = "DelAction", aid = UrlParameter.Optional }
            );

            routes.MapRoute(
                name: "Default",
                url: "{controller}/{action}/{id}",
                defaults: new { controller = "Home", action = "Index", id = UrlParameter.Optional }
            );
        }
    }
}