﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.Mvc;

namespace Com.ArHat.UI.Controllers
{
    public class ActionController : Controller
    {
        #region 成员变量 

        private BLL.B_Permit permitBLL = new BLL.B_Permit();

        #endregion

        #region Action

        public ActionResult Index()
        {
            return View();
        }
        /// <summary>
        /// 添加动作Get
        /// </summary>
        /// <returns></returns>
        [HttpGet]
        public ActionResult AddAction() 
        {
            return View();
        }
        /// <summary>
        /// 添加动作Post
        /// </summary>
        /// <param name="action"></param>
        /// <returns></returns>
        [HttpPost]
        public ActionResult AddAction(Model.M_ArHat_Action actionInfo)
        {
            try
            {
                permitBLL.AddAction(actionInfo);
                StringBuilder sb = new StringBuilder();
                sb.Append(@"
                    <script>    

                        parent.$(""#dialog"").dialog(""close"");
                   
                    </script>
                ");
                return Content(sb.ToString());
            }
            catch (Exception ex)
            {
                return Content("添加失败:" + ex.Message);
            }



        }
        [HttpPost]
        public ActionResult LoadActionData()
        {
            var json = new { total = permitBLL.GetAllActionList().Count, rows = permitBLL.GetAllActionList() };

            return Json(json,JsonRequestBehavior.DenyGet);
        }

        public ActionResult DelAction(string aid)
        {
            return Content(aid);
        }

        #endregion 

    }
}
