﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Web;
using System.Web.Mvc;

namespace Com.ArHat.UI.Controllers
{
    public class RoleController : Controller
    {

        private BLL.B_Permit permitBLL = new BLL.B_Permit();

        public ActionResult Index()
        {
            return View();
        }
        [HttpPost]
        public ActionResult LoadRoleData() 
        {
            var json = new { total = permitBLL.GetAllRoleList().Count, rows = permitBLL.GetAllRoleList() };
            return Json(json);
        }

        [HttpGet]
        public ActionResult AddRole() 
        {
            return View();
        }
        [HttpPost]
        public ActionResult AddRole(Model.M_ArHat_Role role)
        {
            try
            {
                permitBLL.AddRole(role);
                StringBuilder sb = new StringBuilder();
                sb.Append(@"
                    <script>    

                        parent.$(""#dialog"").dialog(""close"");
                   
                    </script>
                ");
                return Content(sb.ToString());
            }
            catch (Exception ex)
            {
                return Content("添加失败:" + ex.Message);
            }
        }
        [HttpGet]
        public ActionResult PermitRole(string rid)
        {
            ViewBag.ActionList = permitBLL.GetAllActionList();
            ViewBag.RoleActionList = permitBLL.GetRoleActionList(rid);
            ViewBag.RId = rid;
            return View();

          

        }
        [HttpPost]
        public ActionResult PermitRoleAction() 
        {
            string aids = Request.Form["aid"];
            string rid = Request.Form["RId"];

            try
            {
                permitBLL.AddRoleAction(aids,rid);
                StringBuilder sb = new StringBuilder();
                sb.Append(@"
                    <script>    

                        parent.$(""#dialog"").dialog(""close"");
                   
                    </script>
                ");
                return Content(sb.ToString());
            }
            catch (Exception ex)
            {
                return Content("添加失败:" + ex.Message);
            }
        }

    }
}
